<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<f:subview id="quiz">
<h2><h:outputText value="#{locale['question']}"/>: <h:outputText value="#{quiz.questionIndex + 1}"/> / <h:outputText value="#{quiz.numQuestions}"/></h2>
<h:outputText rendered="#{quiz.wrong}" value="#{locale['wrongAnswer']}"/>
<h:form id="quiz">
<h:outputText value="#{quiz.question.question}"/> = <h:inputText id="answer" value="#{quiz.answer}" required="yes" requiredMessage="#{locale['required']}" converterMessage="#{locale['notInteger']}" validatorMessage="#{locale['notPositive']}"><f:validateLongRange minimum="0"/></h:inputText> <h:message for="answer"/>
<br>
<h:commandButton action="#{quiz.answerQuestion}" value="#{locale['answer']}"/>
</h:form>
</f:subview>
